<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="" lang="">
<head>
  <title>Test Results Report - Test</title>
  <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
  <meta name="description" content="TestNG unit test results." />
  <link href="reportng.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="reportng.js"></script>
</head>
<body>
<h1>Test</h1>
<p>
  Test duration: 12.996s
</p>



  <table class="resultsTable">
    <tr><th colspan="3" class="header failed">Failed Tests</th></tr>
          <tr>
        <td colspan="3" class="group">Tests.LoginTest</td>
      </tr>
            
<tr>
  <td class="method">
                  successLogIn
      </td>
  <td class="duration">
    0.004s
  </td>
  <td class="result">
        
    
        

        <a href="javascript:toggleElement('exception-0', 'block')" title="Click to expand/collapse"><b>java.lang.NullPointerException</b></a><br />
    <div class="stackTrace" id="exception-0">
              java.util.Objects.requireNonNull(Objects.java:203)<br />
              org.openqa.selenium.support.ui.FluentWait.&lt;init&gt;(FluentWait.java:106)<br />
              org.openqa.selenium.support.ui.WebDriverWait.&lt;init&gt;(WebDriverWait.java:85)<br />
              org.openqa.selenium.support.ui.WebDriverWait.&lt;init&gt;(WebDriverWait.java:45)<br />
              Pages.BasePage.&lt;init&gt;(BasePage.java:17)<br />
              Pages.LoginPage.&lt;init&gt;(LoginPage.java:17)<br />
              Tests.LoginTest.successLogIn(LoginTest.java:12)<br />
              sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)<br />
              sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)<br />
              sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)<br />
              java.lang.reflect.Method.invoke(Method.java:498)<br />
              org.testng.internal.MethodInvocationHelper.invokeMethod(MethodInvocationHelper.java:133)<br />
              org.testng.internal.TestInvoker.invokeMethod(TestInvoker.java:584)<br />
              org.testng.internal.TestInvoker.invokeTestMethod(TestInvoker.java:172)<br />
              org.testng.internal.MethodRunner.runInSequence(MethodRunner.java:46)<br />
              org.testng.internal.TestInvoker$MethodInvocationAgent.invoke(TestInvoker.java:804)<br />
              org.testng.internal.TestInvoker.invokeTestMethods(TestInvoker.java:145)<br />
              org.testng.internal.TestMethodWorker.invokeTestMethods(TestMethodWorker.java:146)<br />
              org.testng.internal.TestMethodWorker.run(TestMethodWorker.java:128)<br />
              java.util.ArrayList.forEach(ArrayList.java:1257)<br />
              org.testng.TestRunner.privateRun(TestRunner.java:770)<br />
              org.testng.TestRunner.run(TestRunner.java:591)<br />
              org.testng.SuiteRunner.runTest(SuiteRunner.java:402)<br />
              org.testng.SuiteRunner.runSequentially(SuiteRunner.java:396)<br />
              org.testng.SuiteRunner.privateRun(SuiteRunner.java:355)<br />
              org.testng.SuiteRunner.run(SuiteRunner.java:304)<br />
              org.testng.SuiteRunnerWorker.runSuite(SuiteRunnerWorker.java:53)<br />
              org.testng.SuiteRunnerWorker.run(SuiteRunnerWorker.java:96)<br />
              org.testng.TestNG.runSuitesSequentially(TestNG.java:1180)<br />
              org.testng.TestNG.runSuitesLocally(TestNG.java:1102)<br />
              org.testng.TestNG.runSuites(TestNG.java:1032)<br />
              org.testng.TestNG.run(TestNG.java:1000)<br />
              org.testng.remote.AbstractRemoteTestNG.run(AbstractRemoteTestNG.java:115)<br />
              org.testng.remote.RemoteTestNG.initAndRun(RemoteTestNG.java:251)<br />
              org.testng.remote.RemoteTestNG.main(RemoteTestNG.java:77)<br />
                </div>
      </td>
</tr>
      </table>


  <table class="resultsTable">
    <tr><th colspan="3" class="header passed">Passed Tests</th></tr>
          <tr>
        <td colspan="3" class="group">Tests.AlertsTest</td>
      </tr>
            
<tr>
  <td class="method">
                  confirmAlertTest
      </td>
  <td class="duration">
    1.760s
  </td>
  <td class="result">
        
    
        

      </td>
</tr>
<tr>
  <td class="method">
                  promptAlertTest
      </td>
  <td class="duration">
    0.490s
  </td>
  <td class="result">
        
    
        

      </td>
</tr>
<tr>
  <td class="method">
                  simpleAlertTest
      </td>
  <td class="duration">
    0.456s
  </td>
  <td class="result">
        
    
        

      </td>
</tr>
      </table>
  
</body>
</html>
